de.esprit.common.gui.event

## Class WindowActivationListener

- java.lang.Object
- - java.awt.event.WindowAdapter
  - - de.esprit.common.gui.event.WindowActivationListener

- All Implemented Interfaces:
    java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener, java.util.EventListener

      public class WindowActivationListener
      extends java.awt.event.WindowAdapter

  This class ensures that the given Component receives the Focus when the parent window is activated or opened.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowActivationListener(javax.swing.JComponent comp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `windowActivated(java.awt.event.WindowEvent e)`
    `void` | `windowDeiconified(java.awt.event.WindowEvent e)`
    `void` | `windowOpened(java.awt.event.WindowEvent e)`

    - ### Methods inherited from class java.awt.event.WindowAdapter

      `windowClosed, windowClosing, windowDeactivated, windowGainedFocus, windowIconified, windowLostFocus, windowStateChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowActivationListener

          public WindowActivationListener(javax.swing.JComponent comp)

  - ### Method Detail

    - #### windowActivated

          public void windowActivated(java.awt.event.WindowEvent e)

      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`
      Overrides:
        `windowActivated` in class `java.awt.event.WindowAdapter`

    - #### windowOpened

          public void windowOpened(java.awt.event.WindowEvent e)

      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`
      Overrides:
        `windowOpened` in class `java.awt.event.WindowAdapter`

    - #### windowDeiconified

          public void windowDeiconified(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`
      Overrides:
        `windowDeiconified` in class `java.awt.event.WindowAdapter`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.